## rkdeveloptool 1.32+pine64git20210920.cce7d2a

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)

# Project name
set (PROJECT_NAME "rkdeveloptool")
project (${PROJECT_NAME} VERSION 1.0.0)

# The version number.
set (rkdeveloptool_PACKAGE_VERSION "1.3")

file (GLOB LOCAL_CPP_FILES *.cpp)
set (SOURCE_FILES ${SOURCE_FILES} ${LOCAL_CPP_FILES})

file (GLOB LOCAL_H_FILES *.h)
set (HEADER_FILES ${HEADER_FILES} ${LOCAL_H_FILES})

# Turn off build log
# set (CMAKE_VERBOSE_MAKEFILE ON)

# Configure a header file to pass some of the CMake settings
# to the source code
configure_file (
    "${PROJECT_SOURCE_DIR}/config.h.in"
    "${PROJECT_BINARY_DIR}/config.h"
    )

include(FindIconv)

# Find LIBUSB
if (LIBUSB_INCLUDE_DIR AND LIBUSB_LIBRARIES)
  # in cache already
  set(LIBUSB_FOUND TRUE)
else (LIBUSB_INCLUDE_DIR AND LIBUSB_LIBRARIES)
  IF (NOT WIN32)
    # use pkg-config to get the directories and then use these values
    # in the FIND_PATH() and FIND_LIBRARY() calls
    find_package(PkgConfig)
    pkg_check_modules(PC_LIBUSB libusb-1.0)
  ENDIF(NOT WIN32)
  FIND_PATH(LIBUSB_INCLUDE_DIR libusb.h
    PATHS ${PC_LIBUSB_INCLUDEDIR} ${PC_LIBUSB_INCLUDE_DIRS})
  FIND_LIBRARY(LIBUSB_LIBRARIES NAMES usb-1.0
    PATHS ${PC_LIBUSB_LIBDIR} ${PC_LIBUSB_LIBRARY_DIRS})
  include(FindPackageHandleStandardArgs)
  FIND_PACKAGE_HANDLE_STANDARD_ARGS(LIBUSB DEFAULT_MSG LIBUSB_LIBRARIES LIBUSB_INCLUDE_DIR)
  MARK_AS_ADVANCED(LIBUSB_INCLUDE_DIR LIBUSB_LIBRARIES)
endif (LIBUSB_INCLUDE_DIR AND LIBUSB_LIBRARIES)

add_executable (${PROJECT_NAME} ${SOURCE_FILES})

target_link_libraries(${PROJECT_NAME} ${Iconv_LIBRARIES} ${LIBUSB_LIBRARIES})

# add the binary tree to the search path for include files
# so that we will find config.h
target_include_directories (${PROJECT_NAME} PRIVATE
    "${PROJECT_BINARY_DIR}"
    "${PROJECT_SOURCE_DIR}"
    "${LIBUSB_INCLUDE_DIR}"
    "${Iconv_INCLUDE_DIRS}"
    )

# Man pages
add_custom_target(doc ALL
        COMMAND scdoc < ${PROJECT_SOURCE_DIR}/doc/rkdeveloptool.1.scd > ${CMAKE_BINARY_DIR}/rkdeveloptool.1
        COMMAND gzip -f ${CMAKE_BINARY_DIR}/rkdeveloptool.1
        BYPRODUCTS ${CMAKE_BINARY_DIR}/rkdeveloptool.1 ${CMAKE_BINARY_DIR}/rkdeveloptool.1.gz
        DEPENDS ${PROJECT_SOURCE_DIR}/doc/rkdeveloptool.1.scd)

# Install
install(FILES ${PROJECT_SOURCE_DIR}/99-rk-rockusb.rules DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/udev/rules.d)
install(FILES ${CMAKE_BINARY_DIR}/rkdeveloptool.1.gz DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

## rkdeveloptool 1.32+git20210408.46bb4c0

=== debian/changelog ===
rkdeveloptool (1.32+git20210408.46bb4c0-3) unstable; urgency=medium

  [ Dylan Aïssi ]
  * rkdeveloptool: depend on adduser since the postinst script calls addgroup
    (Closes: #1035436)

  [ Diederik de Haas ]
  * d/control: Switch Homepage to https
  * d/patches: Move Origin field to header
  * rkdeveloptool.postinst: Switch from 'which' to 'command -v'

  [ Christopher Obbard ]
  * d/control: Update standards version to 4.6.2

 -- Christopher Obbard <chris.obbard@collabora.com>  Sat, 20 May 2023 11:03:28 +0100

rkdeveloptool (1.32+git20210408.46bb4c0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Christopher Obbard <chris.obbard@collabora.com>  Mon, 31 Oct 2022 12:04:40 +0000

rkdeveloptool (1.32+git20210408.46bb4c0-1) unstable; urgency=medium

  * Initial release (Closes: #966178)

 -- Christopher Obbard <chris.obbard@collabora.com>  Fri, 01 Apr 2022 11:29:36 +0100

=== debian/control ===
Source: rkdeveloptool
Section: utils
Priority: optional
Maintainer: Christopher Obbard <chris.obbard@collabora.com>
Build-Depends: debhelper-compat (= 13),
               libudev-dev,
               libusb-1.0-0-dev,
               pkg-config,
Standards-Version: 4.6.2
Homepage: https://opensource.rock-chips.com/wiki_Rkdeveloptool
Vcs-Browser: https://salsa.debian.org/debian/rkdeveloptool
Vcs-Git: https://salsa.debian.org/debian/rkdeveloptool.git
Rules-Requires-Root: no

Package: rkdeveloptool
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Description: tools for working with Rockchip processors
 This package provides tools to communicate with various Rockchip processors
 which support the RockUSB protocol (e.g rk3288, rk3328, rk3399, rk356x). The
 tool includes support to interact with the processors' low-level bootrom
 (known as MaskROM)  as well as interact with the recovery or firmware-download
 protocol rockusb. This makes it possible to upload firmware to flash, download
 firmware from flash, erase flash, reset the device, read manufacturing
 information from the processor as well as various other commands.

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=1.32+git%cd.%h, repack, compression=xz" \
  https://github.com/rockchip-linux/rkdeveloptool.git HEAD

## rkdeveloptool 1.32+pine64git20210920.cce7d2a

=== debian/changelog ===
rkdeveloptool (1.32+pine64git20210920.cce7d2a-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * update watch file: track pine64 source (Closes: #1040032)
  * tidy: wrap and sort control file, with shortening options -ast
  * drop patch, obsoleted by upstream changes
  * build using meson (not autotools); build-depend on cmake meson scdoc

  [ Christopher Obbard ]
  * d/watch: Add pine64 prefix to upstream version
  * New upstream version 1.32+pine64git20210920.cce7d2a
  * d/control: Switch from pkg-config to pkgconf
  * d/control: Remove B-d on libudev
  * d/copyright: Bump dates
  * d/rkdeveloptool.udev: Add rules for RK3566
  * d/rkdeveloptool.udev: Add rules for RK3588
  * Add patch to prefer udev rules from Debian packaging
  * Add patch to fix manpage spelling of seperate=>separate

 -- Christopher Obbard <chris.obbard@collabora.com>  Thu, 06 Jul 2023 17:10:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Christopher Obbard <chris.obbard@collabora.com>
-Build-Depends: debhelper-compat (= 13),
-               libudev-dev,
-               libusb-1.0-0-dev,
-               pkg-config,
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libusb-1.0-0-dev,
+ meson,
+ pkgconf,
+ scdoc,
 Standards-Version: 4.6.2
 Homepage: https://opensource.rock-chips.com/wiki_Rkdeveloptool
 Vcs-Browser: https://salsa.debian.org/debian/rkdeveloptool
@@ -14,9 +17,10 @@
 
 Package: rkdeveloptool
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         adduser
+Depends:
+ adduser,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: tools for working with Rockchip processors
  This package provides tools to communicate with various Rockchip processors
  which support the RockUSB protocol (e.g rk3288, rk3328, rk3399, rk356x). The

## rkdeveloptool 1.32+pine64git20240226.17823e9

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 # The version number.
 set (rkdeveloptool_PACKAGE_VERSION "1.3")
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 file (GLOB LOCAL_CPP_FILES *.cpp)
 set (SOURCE_FILES ${SOURCE_FILES} ${LOCAL_CPP_FILES})

=== debian/changelog ===
rkdeveloptool (1.32+pine64git20240226.17823e9-1) unstable; urgency=medium

  * New upstream version 1.32+pine64git20240226.17823e9
  * d/patches: Remove patches applied upstream

 -- Christopher Obbard <obbardc@debian.org>  Thu, 20 Jun 2024 00:06:02 +0100

rkdeveloptool (1.32+pine64git20210920.cce7d2a-2) unstable; urgency=medium

  * debian/control: Update my email address
  * debian/copyright: Update my email address
  * debian/patches: Update my email address
  * debian/patches: Apply patches for dealing with images >4GiB

 -- Christopher Obbard <obbardc@debian.org>  Thu, 02 Nov 2023 21:19:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rkdeveloptool
 Section: utils
 Priority: optional
-Maintainer: Christopher Obbard <chris.obbard@collabora.com>
+Maintainer: Christopher Obbard <obbardc@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@ --buildsystem=meson

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=1.32+pine64git%cd.%h, repack, compression=xz" \
  https://gitlab.com/pine64-org/quartz-bsp/rkdeveloptool HEAD
